## NAME

curl_easy_cleanup - End a libcurl easy session

## SYNOPSIS

#include <curl/curl.h>

void curl_easy_cleanup(CURL * handle );

## DESCRIPTION

This function must be the last function to call for an easy session. It is the opposite of the curl_easy_init(3) function and must be called with the same handle as input that the curl_easy_init call returned.

This will effectively close all connections this handle has used and possibly has kept open until now. Don't call this function if you intend to transfer more files.

When you've called this, you can safely remove all the strings you've previously told libcurl to use, as it won't use them anymore now.

## RETURN VALUE

None

## SEE ALSO

curl_easy_init (3)

This HTML page was made with roffit.